
.. _manual-index:

##################
 The Julia Manual
##################

.. toctree::
   :maxdepth: 1

   introduction
   getting-started
   variables
   integers-and-floating-point-numbers
   mathematical-operations
   complex-and-rational-numbers
   strings
   functions
   control-flow
   variables-and-scoping
   types
   methods
   constructors
   conversion-and-promotion
   modules
   metaprogramming
   arrays
   linear-algebra
   networking-and-streams
   parallel-computing
   running-external-programs
   calling-c-and-fortran-code
   packages
   performance-tips
   style-guide
   faq
